Bug 62456 - Initializer element is not constant
Initializer element is not constant
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-01 01:57 EST by vvs
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:55:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed test case (177.15 KB, text/plain)
2002-04-01 01:58 EST, vvs
no flags Details

  None (edit)
Description vvs 2002-04-01 01:57:35 EST
Description of Problem:

Compilation of the attached file failed with error

Version-Release number of selected component (if applicable):

gcc-2.96-109

How Reproducible:

Always

Steps to Reproduce:
1. Save the attached file
2. gcc -c network.i

Actual Results:

network.c:281: initializer element is not constant
network.c:281: (near initialization for `CommandsIn[0].first')
network.c:282: initializer element is not constant
network.c:282: (near initialization for `CommandsOut[0].first')

Expected Results:

Successful compilation

Additional Information:
	
This file was compiled successfully with gcc 3.1
Comment 1 vvs 2002-04-01 01:58:34 EST
Created attachment 51605 [details]
preprocessed test case
Comment 2 Richard Henderson 2004-10-02 15:55:07 EDT
Fixed in gcc 3.

Note You need to log in before you can comment on or make changes to this bug.